import type { VirtualScroller } from "@af-utils/virtual-core";
/**
 * @public
 * React hook.
 * Synchronizes scroller with model. Should be used in window-scroll cases, otherwise `ref={model.setScroller}` is preferrable.
 */
declare const useScroller: (model: VirtualScroller, scroller: Parameters<VirtualScroller["setScroller"]>[0]) => void;
export default useScroller;
