import type { VirtualScroller } from "@af-utils/virtual-core";
/**
 * @public
 * React hook.
 * Allows to subscribe to {@link @af-utils/virtual-core#Event} without unnecessary rerenders.
 * For example can be used in load-on-demand.
 */
declare const useSubscription: (model: VirtualScroller, events: Parameters<VirtualScroller["on"]>[1], callBack: Parameters<VirtualScroller["on"]>[0]) => void;
export default useSubscription;
