import type { VirtualScroller } from "@af-utils/virtual-core";
type On = Parameters<VirtualScroller["on"]>;
/**
 * @public
 * React hook.
 * Rerenders component when one of {@link @af-utils/virtual-core#Event} gets emitted.
 * Usually {@link Subscription} is a better alternative
 */
declare const useComponentSubscription: (model: VirtualScroller, events?: On[1]) => void;
export default useComponentSubscription;
