import { VirtualScroller } from "@af-utils/virtual-core";
/**
 * @public
 * React hook.
 * Creates and stores one {@link @af-utils/virtual-core#VirtualScroller} instance.
 * It does not get recreated during component lifecycle.
 * Normally {@link useVirtual} should be used.
 */
declare const useVirtualModel: (params: ConstructorParameters<typeof VirtualScroller>[0]) => VirtualScroller;
export default useVirtualModel;
